#!/usr/bin/env python
# -*- mode:Python; tab-width: 3 -*-

from distutils.core import setup
import os
import mailbox_reader

py_modules = ["mailbox_reader"]
doc_files = ["README", "INSTALL", "LICENSE", "MANIFEST", "ChangeLog"]

if __name__ == "__main__":
   if os.path.isdir("CVS"):
      os.system("pydoc mailbox_reader > README")
      os.system("cvs2cl.pl -t")
      os.system("touch MANIFEST.in")
   setup(name = "mailbox_reader",
      version = mailbox_reader.HUMAN_VERSION,
      description = "Mailbox reader",
      author = mailbox_reader.__author__,
      author_email = mailbox_reader.__email__,
      url = "http://gradha.sdf-eu.org/",
      py_modules = py_modules,
      license = "GPL",
      data_files = [ ("doc/mailbox_reader", doc_files),
      ]
   )
